Skip to main content
POST
curl --request POST \ --url 'https://rpc-mainnet.solanatracker.io/?api_key=' \ --header 'Content-Type: application/json' \ --data ' { "jsonrpc": "2.0", "id": 1, "method": "getTokenAccountsByOwners", "params": [ [ "Bs88sAYgQehsK2fkzn6fxB6FgSJJPbxzAmcfQ3Eb6TWC", "BMLE4H5XLDS8WwCjEXCL9tmF4ZSNFnd5jmw2Xm9uG4To" ], "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v" ] } '
{ "jsonrpc": "2.0", "id": 1, "result": { "context": { "apiVersion": "3.0.0", "slot": 378770899 }, "value": [ { "account": "424L75FrM5LTbNrbrqyCfrR4gWBn5rtzzaEhiSiNLC1h", "amount": "146120000068", "decimals": 6, "owner": "BMLE4H5XLDS8WwCjEXCL9tmF4ZSNFnd5jmw2Xm9uG4To", "slot": 356527310, "uiAmount": 146120.000068, "uiAmountString": "146120.000068" }, { "account": "EzewvqfZPbroCmuRiKFj3KoHQ1XkuDc8qJ9MYCTzcJUY", "amount": "540966303", "decimals": 6, "owner": "Bs88sAYgQehsK2fkzn6fxB6FgSJJPbxzAmcfQ3Eb6TWC", "slot": 370336402, "uiAmount": 540.966303, "uiAmountString": "540.966303" } ] } }
⚔ Powered by Solana Ridge DBGet token balances for multiple wallets in a single request with getTokenAccountsByOwners. Powered by Ridge DB, our custom-built client designed for high-performance token account queries. Instead of making hundreds of individual requests, query up to 250 wallets at once for any token mint.What makes it different:Query up to 250 wallet addresses in one request, drastically reducing API calls and latency. Automatically returns all token accounts if a wallet has multiple accounts for the same mint. Wallets without a token account return a clean zero balance response instead of errors. Each account includes the slot when the balance was last updated, perfect for tracking changes and cache invalidation.

Authorizations

api_key
string
query
required

Body

application/json
jsonrpc
enum<string>
default:2.0
required

The JSON-RPC protocol version.

Available options:
2.0
Example:

"2.0"

id
string
default:1
required

A unique identifier for the request.

Example:

"1"

method
enum<string>
default:getTokenAccountsByOwners
required

The name of the RPC method to invoke.

Available options:
getTokenAccountsByOwners
Example:

"getTokenAccountsByOwners"

params
(string[] | string)[]
required

Parameters for the batch token balance query.

Array of owner wallet public keys to query (1-250 wallets). All pubkeys must be valid base-58 encoded Solana addresses.

Required array length: 1 - 250 elements

Owner wallet public key as a base-58 encoded string.

Response

Successfully retrieved token account balances for all requested owners.

jsonrpc
enum<string>

The JSON-RPC protocol version.

Available options:
2.0
Example:

"2.0"

id
string

Identifier matching the request.

Example:

"1"

result
object

Token account balances with context information.